Loading...
Searching...
No Matches
juce::ADSR::Parameters Struct Reference

`#include <juce_ADSR.h>`

## Public Member Functions

| Parameters (float attackTimeSeconds, float decayTimeSeconds, float sustainLevel, float releaseTimeSeconds)

## Public Attributes

float | attack = 0.1f
float | decay = 0.1f
float | sustain = 1.0f
float | release = 0.1f

## Detailed Description

Holds the parameters being used by an ADSR object.

Definition at line 55 of file juce_ADSR.h.

## Constructor & Destructor Documentation

## Parameters()

juce::ADSR::Parameters::Parameters | ( | float | attackTimeSeconds,
|  | float | decayTimeSeconds,
|  | float | sustainLevel,
|  | float | releaseTimeSeconds )

inline

Definition at line 59 of file juce_ADSR.h.

## Member Data Documentation

## attack

float juce::ADSR::Parameters::attack = 0.1f

Definition at line 70 of file juce_ADSR.h.

## decay

float juce::ADSR::Parameters::decay = 0.1f

Definition at line 70 of file juce_ADSR.h.

## release

float juce::ADSR::Parameters::release = 0.1f

Definition at line 70 of file juce_ADSR.h.

## sustain

float juce::ADSR::Parameters::sustain = 1.0f

Definition at line 70 of file juce_ADSR.h.

The documentation for this struct was generated from the following file:

- juce_ADSR.h